"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/checkbox-icon.tsx
var checkbox_icon_exports = {};
__export(checkbox_icon_exports, {
  CCheckboxTransition: () => CCheckboxTransition,
  CheckIcon: () => CheckIcon,
  CheckboxIcon: () => CheckboxIcon,
  IndeterminateIcon: () => IndeterminateIcon
});
module.exports = __toCommonJS(checkbox_icon_exports);
var import_vue = require("vue");
var import_motion = require("@vueuse/motion");
var import_vue2 = require("vue");
var import_vue_system = require("@chakra-ui/vue-system");
var import_c_motion = require("@chakra-ui/c-motion");
var import_vue_utils = require("@chakra-ui/vue-utils");
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue.isVNode)(s);
}
__name(_isSlot, "_isSlot");
var CheckIcon = (0, import_vue2.defineComponent)({
  name: "CheckboxCheckIcon",
  setup(_, {
    attrs,
    slots
  }) {
    const transitionId = `check-icon-${(0, import_vue_utils.genId)()}`;
    const leave = /* @__PURE__ */ __name((done) => {
      const motions = (0, import_motion.useMotions)();
      const instance = motions[transitionId];
      instance == null ? void 0 : instance.leave(() => {
        done();
      });
    }, "leave");
    (0, import_vue2.onBeforeUnmount)(() => {
      leave(() => null);
    });
    return () => (0, import_vue.createVNode)(import_vue_system.chakra.svg, (0, import_vue.mergeProps)({
      "width": "1.2em",
      "viewBox": "0 0 12 10",
      "style": {
        fill: "none",
        strokeWidth: 2,
        stroke: "currentColor",
        strokeDasharray: 16
      }
    }, attrs), {
      default: () => (0, import_vue.createVNode)("polyline", {
        "points": "1.5 6 4.5 9 10.5 1"
      }, null)
    });
  }
});
var IndeterminateIcon = (0, import_vue2.defineComponent)({
  name: "CheckboxIndeterminateIcon",
  setup(_, {
    attrs,
    slots
  }) {
    const transitionId = `indeterminate-icon-${(0, import_vue_utils.genId)()}`;
    const leave = /* @__PURE__ */ __name((done) => {
      const motions = (0, import_motion.useMotions)();
      const instance = motions[transitionId];
      instance == null ? void 0 : instance.leave(() => {
        done();
      });
    }, "leave");
    (0, import_vue2.onBeforeUnmount)(() => {
      leave(() => null);
    });
    return () => (0, import_vue.createVNode)(import_vue_system.chakra.svg, (0, import_vue.mergeProps)({
      "width": "1.2em",
      "viewBox": "0 0 24 24",
      "style": {
        stroke: "currentColor",
        strokeWidth: 4
      }
    }, attrs), {
      default: () => (0, import_vue.createVNode)("line", {
        "x1": "21",
        "x2": "3",
        "y1": "12",
        "y2": "12"
      }, null)
    });
  }
});
var CCheckboxTransition = (0, import_vue2.defineComponent)({
  name: "CCheckboxTransition",
  props: {
    open: Boolean
  },
  setup(props, {
    attrs,
    slots
  }) {
    return () => (0, import_vue.createVNode)(import_c_motion.CMotion, {
      "type": "scale",
      "style": {
        display: "flex",
        alignItems: "center",
        justifyContent: "center",
        height: "100%"
      }
    }, {
      default: () => [props.open ? () => (0, import_vue.createVNode)(import_vue_system.chakra.div, null, _isSlot(slots) ? slots : {
        default: () => [slots]
      }) : null]
    });
  }
});
var CheckboxIcon = (0, import_vue2.defineComponent)((props, {
  slots,
  attrs
}) => {
  const IconEl = (0, import_vue2.computed)(() => props.isIndeterminate ? IndeterminateIcon : CheckIcon);
  return () => (0, import_vue.createVNode)(IconEl.value, attrs, null);
});
CheckboxIcon.name = "CheckboxIcon";
CheckboxIcon.props = {
  isIndeterminate: Boolean,
  isChecked: Boolean
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  CCheckboxTransition,
  CheckIcon,
  CheckboxIcon,
  IndeterminateIcon
});
