import {
  useCheckboxGroup
} from "./chunk-MFFBXJUJ.mjs";

// src/checkbox-group.tsx
import { defineComponent, computed, renderSlot } from "vue";
import { createContext, vueThemingProps } from "@chakra-ui/vue-utils";
var [CheckboxGroupProvider, useCheckboxGroupContext] = createContext({
  strict: false,
  name: "CheckboxGroupContext"
});
var CCheckboxGroup = defineComponent({
  name: "CCheckboxGroup",
  props: {
    modelValue: {
      type: Object,
      default: () => []
    },
    isDisabled: {
      type: Boolean,
      default: false
    },
    ...vueThemingProps
  },
  emits: ["change", "update:modelValue"],
  setup(props, {
    emit,
    slots
  }) {
    const checkBoxGroupValue = computed({
      get() {
        return props.modelValue;
      },
      set(value) {
        emit("update:modelValue", value);
      }
    });
    const {
      modelValue,
      handleChange
    } = useCheckboxGroup({
      modelValue: checkBoxGroupValue,
      isDisabled: computed(() => props.isDisabled)
    });
    const checkboxGroupContext = computed(() => ({
      size: props.size,
      variant: props.variant,
      isDisabled: props.isDisabled,
      colorScheme: props.colorScheme,
      value: modelValue.value,
      handleChange
    }));
    CheckboxGroupProvider(checkboxGroupContext);
    return () => renderSlot(slots, "default");
  }
});

export {
  useCheckboxGroupContext,
  CCheckboxGroup
};
